<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
// Block control variables
//$wrapper_side_left="1";
//$wrapper_side_right="0";
//
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";


// Block control start
if (isset($wrapper_id)) {
	$result = dbquery("SELECT * FROM ".$db_prefix."wrapper WHERE wrapper_id='".$wrapper_id."'");
	if (dbrows($result)) {
		$data = dbarray($result);
		$page_title = $data['wrapper_title'];
		$side_left = $data['wrapper_side_left'];
		$side_right = $data['wrapper_side_right'];
	if ($side_left==1) {
		require_once BASEDIR."side_left.php";
	}	
	if ($side_left==0 AND $side_right==1) {
		echo "<td width='100%' valign='top' class='main-bg'>\n";
	}	
	}
	}
// Block control end

if (file_exists(INFUSIONS."wrapper/locale/".$settings['locale'].".php")) {
	include INFUSIONS."wrapper/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."wrapper/locale/English.php";
}

// Prevent SQL Injection
if (isset($wrapper_id) && !isnum($wrapper_id)) fallback('../../index.php');

// Load specified page
if (isset($wrapper_id)) {
	$result = dbquery("SELECT * FROM ".$db_prefix."wrapper WHERE wrapper_id='".$wrapper_id."'");
	if (dbrows($result)) {
		$data = dbarray($result);
		$page_title = $data['wrapper_title'];
		//$side_left = $data['wrapper_side_left'];
		$side_right = $data['wrapper_side_right'];

	} else {
		// Invalid wrapper id
		$error = "<div style='text-align:center'>" . $locale['epw_016'] . "</div>";
		$page_title = $locale['epw_001'];
	}
} else {
	// FUTURE IDEA: Display a list of all wrapped pages (?)
	$error = "<div style='text-align:center'>" . $locale['epw_016'] . "</div>";
	$page_title = $locale['epw_001'];
}

opentable($page_title);
if (isset($error)) echo $error;
?>  




<script type="text/javascript">

	/****************************************************************************
	* IFrame SSI script II-  Dynamic Drive DHTML code library (http://www.dynamicdrive.com)
	* Visit DynamicDrive.com for hundreds of original DHTML scripts
	* This notice must stay intact for legal use
	* This script has been modified - view wrapper_info.txt for more info
	****************************************************************************/

	// Input the ID of the IFRAME you wish to dynamically resize to match its content height:
	var iframeid = "myframe"
	var pageurl = <?php echo "'".$data['wrapper_url']."'"; ?>

	// Should script hide iframe from browsers that don't support this script (non IE5+/NS6+ browsers. Recommended):
	var iframehide = "yes"

	var getFFVersion = navigator.userAgent.substring(navigator.userAgent.indexOf("Firefox")).split("/")[1]
	var FFextraHeight = parseFloat(getFFVersion) >= 0.1? 16 : 0 //extra height in px to add to iframe in FireFox 1.0+ browsers

	// Called when browser object loads (event fired)
	function resizeCaller() {
		if (document.getElementById)
			resizeIframe(iframeid)

		// reveal iframe for lower end browsers? (see var above):
		if ((document.all || document.getElementById) && iframehide == "no"){
			var tempobj = document.all ? document.all[iframeids[i]] : document.getElementById(iframeids[i])
			tempobj.style.display = "block"
		}
	}

	// Called from resizeCaller()
	function resizeIframe(frameid){
		var currentfr = document.getElementById(frameid)
		
		// For every browser except Opera
		if (currentfr && !window.opera){
			currentfr.style.display = "block"

			// Attempt to get page height
			try {

				// Only resize according to settings
				if (<?php echo $data['wrapper_resize']; ?> == 1) {

					// Set height to height of document inside iframe
					if (currentfr.contentDocument && currentfr.contentDocument.body.offsetHeight) {
						currentfr.style.height = "auto";
						currentfr.style.height = currentfr.contentDocument.body.offsetHeight+FFextraHeight + 50;  // NS6
					} else if (currentfr.document && currentfr.document.body.scrollHeight) {
						currentfr.style.height = "auto";
						currentfr.style.height = document.frames(frameid).document.body.scrollHeight + 50;  // IE
					}

					// Firefox/Mozilla - Add Event Listener to iframe
					if (currentfr.addEventListener) {
						currentfr.addEventListener("load", readjustIframe, false)
					// IE - Add Event Listener to iframe
					} else if (currentfr.attachEvent){
						currentfr.detachEvent("onload", readjustIframe) // Bug fix line
						currentfr.attachEvent("onload", readjustIframe)
					}
				} else {
					// Set default height
					currentfr.style.height = <?php echo $data['wrapper_height']; ?>;
				}
			} catch (e) {

				// Set default height (can't check height, no permissions)
				currentfr.style.height = <?php echo $data['wrapper_height']; ?>;
			}
		} else if (window.opera) {
			// Set the default height for Opera (doesn't support resizing)
			currentfr.style.display = "block"
			currentfr.style.height = <?php echo $data['wrapper_height']; ?>;
		}

	}

	// Called when iFrame is loaded with a new page
	function readjustIframe(loadevt) {
		var crossevt = (window.event) ? event : loadevt
		// Ge the HTML Element the event occurred on
		var iframeroot = (crossevt.currentTarget) ? crossevt.currentTarget : crossevt.srcElement
		// Resize the iframe
		if (iframeroot)
			resizeIframe(iframeroot.id);
	}


	// Add Event Listeners to page load
	if (window.addEventListener) {
		window.addEventListener("load", resizeCaller, false)  // Mozilla
	} else if (window.attachEvent) {
		window.attachEvent("onload", resizeCaller) // IE
	} else {
		window.onload = resizeCaller
	}

	window.onresize = resizeCaller; 

</script>

<?

echo "<iframe id='myframe' name='myframe' src='" , $data['wrapper_url'] , "' scrolling='auto' marginwidth='0' marginheight='0' frameborder='0' vspace='0' hspace='0' height='".$data['wrapper_height']."px' style='overflow:visible; width:100%; display:none'>" , $locale['epw_043'] , "<a href='" , $data['wrapper_url'] , "'>" , $data['wrapper_url'] , "</a></iframe>

<noscript> " , $locale['epw_042'] , "<a href='" , $data['wrapper_url'] , "'>" , $data['wrapper_url'] , "</a></noscript>";

closetable();

if ($data['wrapper_description'] != "") {
	opentable($data['wrapper_title'] . $locale['epw_040']);
		echo nl2br(stripslashes($data['wrapper_description']));
		echo "<table width='100%' border='0' cellpadding='0' cellspacing='0'>
			<tr><td colspan='2'><hr class='hr'></td></tr>
			<tr><td class='small'>".$locale['epw_041'] , "<a href='", $data['wrapper_url'] , "' target='_blank'>" , $data['wrapper_url'] , "</a></td>
				<td align='right'><a href='http://www.dynamicdrive.com' target='_blank'>
				<img src='images/dhtml-scripts.png' width='80px' height='15px' alt='Dynamic Drive DHTML code library'></a></td>
				</tr>
			</table>";
	closetable();
}

// Right block control start
if ($side_right==1) {
require_once BASEDIR."side_right.php";
} else {
	echo "</td>\n";
}
// Right block control end

require_once BASEDIR."footer.php";
?>